<template>
  <q-page padding>
    <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
      Gestion de Insignia de Madera (IM)
      <q-space />
      <div class="q-gutter-xs">
        <q-btn
          v-if="$isCan('formacion.insignia_de_madera.alta')"
          flat
          dense
          icon="fas os-accion-im-add"
          label="Cargar Registro"
          to="/formacion/insignia_de_madera/nuevo"
        />
        |
        <q-btn
          flat
          dense
          icon="fas os-accion-im-list"
          label="Listado"
          to="/formacion/insignia_de_madera/listado"
        />
      </div>
    </q-toolbar>
    <div class="row q-col-gutter-sm q-mt-sm">
      <div class="col-md col-xs-12">
        <div class="text-titulo q-pa-xs">Im Pendientes</div>
        <PendientesCierrePartial />
      </div>
      <div class="col-md col-xs-12">
        <div class="text-titulo q-pa-xs">Cantidad de IMs</div>
        <q-card>
          <PieGenerico
            descripcion="Cantidad de IMs"
            url="/api/charts/formacion/im_por_rama"
          />
        </q-card>
      </div>
    </div>
  </q-page>
</template>

<script lang="ts">
import { defineComponent } from 'vue';
import PendientesCierrePartial from './Index/_PendientesCierrePartial.vue';
import PieGenerico from 'src/components/charts/PieGenerico.vue';

export default defineComponent({
  name: 'ExperienciasPage',
  components: { PendientesCierrePartial, PieGenerico },
  setup() {
    return {};
  },
});
</script>
